import LinearProgress, { linearProgressClasses } from '@mui/material/LinearProgress';
import style from "./index.module.css";

import runTime from '../../../../assets/project/runTime.svg'
import jobCost from '../../../../assets/project/jobCost.svg'
import jobSue from '../../../../assets/project/jobSue.svg'
import jobFail from '../../../../assets/project/jobFail.svg'
import jobRun from '../../../../assets/project/jobRun.svg'
import jobCadence from '../../../../assets/project/jobCadence.svg'
import jobStop from '../../../../assets/project/jobStop.svg'
import jobDel from '../../../../assets/project/jobDel.svg'
import noData from '../../../../assets/project/noTemplate.svg'
import onload from '../../../../assets/project/onload.svg'
import fileIcon from "@/assets/project/fileIcon.svg";
import dataSetIcon from "@/assets/project/dataSetIcon.svg";

const TaskCard = () => {
    return <div className={style.cardBox}>
        <div className={style.cardLeft}>
            <div className={style.topLine}>
                <div className={style.taskName}>Docking兼分子动力学模拟</div>
                <div className={style.taskStatus}>
                    <img src={jobRun} alt="" className={style.statusImg} />
                    <span>正在运行</span>
                </div>
            </div>
            <div className={style.taskCreator}>jiangzijing</div>
            <div className={style.taskProgress}>
                <div className={style.progressInfo}>
                    <div>Progress</div>
                    <div>8/10</div>
                </div>
                <LinearProgress variant="determinate" value={80}
                    sx={{
                        borderRadius: '3px',
                        height: "6px",
                        backgroundColor: "#F0F2F5",
                    }}
                />
            </div>
            <div className={style.bottomLine}>
                <img alt="" src={runTime} />
                <div className={style.bottomInfo}>0小时26分钟</div>
                <img alt="" src={jobCost} />
                <div className={style.bottomInfo}>200.00元</div>
            </div>
        </div>
        <div className={style.dividingLine}>
            <div className={style.arrow}></div>
        </div>
        <div className={style.cardRight}>
            {false?<div></div>:<div className={style.noResult}>暂无结果文件</div>}
        </div>
    </div>
}

export default TaskCard